<?php 
class ImagenesController extends InternoController{
	
	public function mostrartifAction(){
		
		$fichero = $_GET['fichero'];
		$numeroPagina = $_GET['np'];
		
		AppHerramientasImagen::tiffToPng(APPLICATION_PATH.$fichero, $numeroPagina);
	}
	
	
public function verificacionAcl(){
	
}
	public function mostrarAction(){
		$nombre_imagen = $this->_request->getParam('imagen', -1);
		$nombre_estilo = $this->_request->getParam('estilo', -1);
		$imagen = Imagen::loadByName($nombre_imagen);
		$estilo = estilo::loadByName($nombre_estilo);
		$imagen->cargaImagen($estilo->id);
		
		$this->dl_file($imagen->getRuta($estilo->id));
		die();
	}
}